#pragma once

#include "CoreMinimal.h"
#include "K36BaseMoriInteraction.h"
#include "Templates/SubclassOf.h"
#include "K36MoriInteraction.generated.h"

class AK36MoriSurvivorSkeleton;

UCLASS(Blueprintable, EditInlineNew, meta=(BlueprintSpawnableComponent))
class UK36MoriInteraction : public UK36BaseMoriInteraction
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	TSubclassOf<AK36MoriSurvivorSkeleton> _moriSkeletonClass;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient, meta=(AllowPrivateAccess=true))
	AK36MoriSurvivorSkeleton* _survivorMoriSkeleton;

public:
	UK36MoriInteraction();
};

FORCEINLINE uint32 GetTypeHash(const UK36MoriInteraction) { return 0; }
